import request from '@/utils/request'

// 查询工艺线体关联列表
export function listProduct(query) {
	return request({
		url: '/mes/pro/routeprodproduct/list',
		method: 'get',
		params: query
	});
}

// 查询工艺线体关联详细
export function getProduct(recordId) {
	return request({
		url: '/mes/pro/routeprodproduct/' + recordId,
		method: 'get'
		});
}

// 新增工艺线体关联
export function addProduct(data) {
	return request({
		url: '/mes/pro/routeprodproduct',
		method: 'post',
		data: data
	});
}

// 修改工艺线体关联
export function updateProduct(data) {
	return request({
		url: '/mes/pro/routeprodproduct',
		method: 'put',
		data: data
	});
}

// 删除工艺线体关联
export function delProduct(recordId) {
	return request({
		url: '/mes/pro/routeprodproduct/' + recordId,
		method: 'delete'
	});
}

// 查询工艺线体关联列表
export function getListProduct(query) {
	return request({
		url: '/mes/pro/routeprodproduct/getList',
		method: 'get',
		params: query
	});
}
